# Uses of Class
classycle.graph.Vertex

Packages that use Vertex
Package
Description
classycle
classycle.dependency
classycle.graph

## Uses of Vertex in classycle

Subclasses of Vertex in classycle
Modifier and Type
Class
Description
`class`
`PackageVertex`
Methods in classycle with parameters of type Vertex
Modifier and Type
Method
Description
`protected void`
PackageProcessor.`finishProcessing(Vertex[] graph)`
`protected void`
PackageProcessor.`initializeProcessing(Vertex[] graph)`
`protected void`
PackageProcessor.`processAfter(Vertex vertex)`
`protected void`
PackageProcessor.`processArc(Vertex tail, Vertex head)`
`protected void`
PackageProcessor.`processBefore(Vertex vertex)`

## Uses of Vertex in classycle.dependency

Methods in classycle.dependency with parameters of type Vertex
Modifier and Type
Method
Description
`boolean`
PatternVertexCondition.`isFulfilled(Vertex vertex)`
Constructors in classycle.dependency with parameters of type Vertex
Modifier
Constructor
Description
``
`DependencyPathsRenderer(Vertex[] graph, VertexCondition startSetCondition, VertexCondition finalSetCondition)`
``
`DependencyPathsRenderer(Vertex[] graph, StringPattern startSetPattern, StringPattern finalSetPattern)`

## Uses of Vertex in classycle.graph

Subclasses of Vertex in classycle.graph
Modifier and Type
Class
Description
`class`
`AtomicVertex`
A subclass of `Vertex` with the following additional properties: A flag indicating whether this vertex belongs to the graph or not.
`class`
`StrongComponent`
A strong component is a subgraph of a directed graph where every two vertices are mutually reachable.
Methods in classycle.graph that return Vertex
Modifier and Type
Method
Description
`Vertex[]`
GraphAttributes.`getBestFragmenters()`
Returns those vertices of a `StrongComponent` where the maximum fragment size is equal to the best fragment size.
`Vertex[]`
GraphAttributes.`getCenterVertices()`
Returns the vertices of the center.
`Vertex`
Vertex.`getHeadVertex(int index)`
Returns the head vertex of the specified outgoing arc.
`Vertex`
Vertex.`getTailVertex(int index)`
Returns the tail vertex of the specified outgoing arc.
Methods in classycle.graph with parameters of type Vertex
Modifier and Type
Method
Description
`void`
Vertex.`addIncomingArcTo(Vertex tailVertex)`
Adds an incoming arc to the specified vertex.
`void`
Vertex.`addOutgoingArcTo(Vertex headVertex)`
Adds an outgoing arc to the specified vertex.
`int`
Vertex.`compareTo(Vertex object)`
`void`
GraphProcessor.`deepSearchFirst(Vertex[] graph)`
Performs a deep search first of the specified graph.
`protected abstract void`
GraphProcessor.`finishProcessing(Vertex[] graph)`
Finishes processing.
`protected void`
LongestWalkProcessor.`finishProcessing(Vertex[] graph)`
Finishes processing by sorting the result in accordance with the walk length.
`protected void`
StrongComponentProcessor.`finishProcessing(Vertex[] graph)`
Adds all arcs to the strong components.
`protected abstract void`
GraphProcessor.`initializeProcessing(Vertex[] graph)`
Initializes processing.
`protected void`
LongestWalkProcessor.`initializeProcessing(Vertex[] graph)`
Does nothing.
`protected void`
StrongComponentProcessor.`initializeProcessing(Vertex[] graph)`
`boolean`
VertexCondition.`isFulfilled(Vertex vertex)`
Returns `true` if the specified vertex fulfills the condition.
`protected void`
GraphProcessor.`process(Vertex vertex)`
Processes the specified vertex.
`protected abstract void`
GraphProcessor.`processAfter(Vertex vertex)`
Processes the specified vertex after its arcs have been processed.
`protected void`
LongestWalkProcessor.`processAfter(Vertex vertex)`
Deactivate the specified vertex.
`protected void`
StrongComponentProcessor.`processAfter(Vertex vertex)`
Processes the specified vertex after all its outgoing arcs are processed.
`protected abstract void`
GraphProcessor.`processArc(Vertex tail, Vertex head)`
Processes the arc specified by tail and head vertices.
`protected void`
LongestWalkProcessor.`processArc(Vertex tail, Vertex head)`
Processes arc from `tail` to `head`.
`protected void`
StrongComponentProcessor.`processArc(Vertex tail, Vertex head)`
`protected abstract void`
GraphProcessor.`processBefore(Vertex vertex)`
Processes the specified vertex before its outgoing arcs are processed.
`protected void`
LongestWalkProcessor.`processBefore(Vertex vertex)`
Resets the specified vertex.
`protected void`
StrongComponentProcessor.`processBefore(Vertex vertex)`